version: '3.8'

services:
  markatty_api_app:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: markatty_api_app
    restart: unless-stopped
    ports:
      - "80:80"
    volumes:
      - ./storage/logs:/var/www/html/storage/logs
    env_file:
      - .env
    environment:
      DB_HOST: db
      CACHE_STORE: file
      SESSION_DRIVER: file
      QUEUE_CONNECTION: sync
    extra_hosts:
      - "host.docker.internal:host-gateway"
    networks:
      - markatty-network

networks:
  markatty-network:
    external: true
    name: html2_markatty-network
